# Onyx Keyboard Firmware

This section intentionally left blank

## Setup

If you're running Linux, make sure you are part of the group for the character
device that the board is connected to.

For example, the device in bootloader mode appears as `/dev/ttyACM0`:

```bash
crw-rw---- 1 root uucp 166, 0 Jan 26 00:40 /dev/ttyACM0
```

You will need to add yourself to the group if you aren't part of it already, and
log back in:

```bash
sudo usermod -a -G uucp $(whoami)
```

Then, follow the rest below:

```bash
# Install toolchains
trizen -S arm-none-eabi-binutils bossa
rustup target add thumbv6m-none-eabi

# Build
make

# Upload to metro m0 board
make upload
```
